import { App } from 'vue'

export const utils = {
  formatDate(value: string) {
    return value.split(' ')[0].replace(/-/g, '/')
  },
  calcFZ({ text = '', baseLength = 0, baseSize = 24, minSize = 24 }) {
    const scale = Math.max(
      Math.min(baseLength / text.length, 1),
      minSize / baseSize
    )
    return (baseSize / 100) * scale + 'rem'
  },
}

export default {
  install(app: App) {
    app.config.globalProperties.$util = utils
  },
}

declare module '@vue/runtime-core' {
  interface ComponentCustomProperties {
    $util: typeof utils
  }
}
